﻿Class Malblock

    Public Sub FotoEinfuegen(ByVal pfad As String)
        Dim bild As BitmapImage = New BitmapImage
        bild.BeginInit()
        bild.UriSource = New Uri(pfad)
        bild.EndInit()
        Dim br As ImageBrush = New ImageBrush
        br.Stretch = Stretch.Uniform
        br.ImageSource = bild
        IC1.Background = br
    End Sub

    Public Sub TafelWischen()
        IC1.Strokes.Clear()
        IC1.Children.Clear()
    End Sub

    Private Sub cbEditingMode_SelectionChanged(ByVal sender As System.Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs)
        Try
            Select Case cbEditingMode.SelectedIndex
                Case 0
                    IC1.EditingMode = InkCanvasEditingMode.EraseByPoint
                Case 1
                    IC1.EditingMode = InkCanvasEditingMode.EraseByStroke
                Case 2
                    IC1.EditingMode = InkCanvasEditingMode.GestureOnly
                Case 3
                    IC1.EditingMode = InkCanvasEditingMode.Ink
                Case 4
                    IC1.EditingMode = InkCanvasEditingMode.InkAndGesture
                Case 5
                    IC1.EditingMode = InkCanvasEditingMode.Select
            End Select
        Catch ex As Exception

        End Try
    End Sub

    Private Sub tbStylusWidth_TextChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.TextChangedEventArgs) Handles tbStylusWidth.TextChanged
        Try
            IC1.DefaultDrawingAttributes.Height = CDbl(tbStylusWidth.Text)
            IC1.DefaultDrawingAttributes.Width = CDbl(tbStylusWidth.Text)
        Catch ex As Exception

        End Try
    End Sub

    Private Sub lbColor_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles lbColor.SelectionChanged
        Dim br As SolidColorBrush = CType(lbColor.SelectedValue, SolidColorBrush)
        IC1.DefaultDrawingAttributes.Color = br.Color
    End Sub

    Private Sub Button_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Dim tb As TextBlock = New TextBlock
        tb.Text = tbTexteingabe.Text
        tb.Margin = New Thickness(15)
        Dim br As SolidColorBrush = New SolidColorBrush
        br.Color = IC1.DefaultDrawingAttributes.Color
        tb.Foreground = br
        IC1.Children.Add(tb)
    End Sub
End Class
